/*
	TroY, February 2008
*/

package troy.distrirend;

import artofillusion.object.ObjectInfo;
//import artofillusion.object.SceneCamera;

/**
 * Store cameras and maintain indices
 */
public class CamInfos
{
	private ObjectInfo cam   = null;
	private int         index = 0;
	
	public CamInfos(ObjectInfo cam, int index)
	{
		this.cam   = cam;
		this.index = index;
	}
	
	public ObjectInfo getObjectInfo()
	{
		return cam;
	}
	
	public int getIndex()
	{
		return index;
	}
	
	public String toString()
	{
		return cam.name;
	}
}
